org.wildfly.swarm.config.management.security_realm

## Class SslServerIdentity<T extends SslServerIdentity<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.SslServerIdentity<T>

-     public class SslServerIdentity<T extends SslServerIdentity<T>>
      extends Object

  Configuration of the SSL identity of a server or host controller.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SslServerIdentity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `alias()` The alias of the entry to use from the keystore.
    `T` | `alias(String value)` The alias of the entry to use from the keystore.
    `T` | `enabledCipherSuite(String value)` The cipher suites that can be enabled on the underlying SSLEngine.
    `List<String>` | `enabledCipherSuites()` The cipher suites that can be enabled on the underlying SSLEngine.
    `T` | `enabledCipherSuites(List<String> value)` The cipher suites that can be enabled on the underlying SSLEngine.
    `T` | `enabledCipherSuites(String... args)` The cipher suites that can be enabled on the underlying SSLEngine.
    `T` | `enabledProtocol(String value)` The protocols that can be enabled on the underlying SSLEngine.
    `List<String>` | `enabledProtocols()` The protocols that can be enabled on the underlying SSLEngine.
    `T` | `enabledProtocols(List<String> value)` The protocols that can be enabled on the underlying SSLEngine.
    `T` | `enabledProtocols(String... args)` The protocols that can be enabled on the underlying SSLEngine.
    `String` | `generateSelfSignedCertificateHost()` If the keystore does not exist and this attribute is set then a self signed certificate will be generated for the specified host name.
    `T` | `generateSelfSignedCertificateHost(String value)` If the keystore does not exist and this attribute is set then a self signed certificate will be generated for the specified host name.
    `String` | `getKey()`
    `String` | `keyPassword()` The password to obtain the key from the keystore.
    `T` | `keyPassword(String value)` The password to obtain the key from the keystore.
    `Map` | `keyPasswordCredentialReference()` The reference to credential for the keystore key stored in CredentialStore under defined alias or clear text password.
    `T` | `keyPasswordCredentialReference(Map value)` The reference to credential for the keystore key stored in CredentialStore under defined alias or clear text password.
    `T` | `keyPasswordCredentialReference(String key, Object value)` The reference to credential for the keystore key stored in CredentialStore under defined alias or clear text password.
    `String` | `keystorePassword()` The password to open the keystore.
    `T` | `keystorePassword(String value)` The password to open the keystore.
    `Map` | `keystorePasswordCredentialReference()` The reference to credential for the keystore password stored in CredentialStore under defined alias or clear text password.
    `T` | `keystorePasswordCredentialReference(Map value)` The reference to credential for the keystore password stored in CredentialStore under defined alias or clear text password.
    `T` | `keystorePasswordCredentialReference(String key, Object value)` The reference to credential for the keystore password stored in CredentialStore under defined alias or clear text password.
    `String` | `keystorePath()` The path of the keystore, will be ignored if the keystore-provider is anything other than JKS.
    `T` | `keystorePath(String value)` The path of the keystore, will be ignored if the keystore-provider is anything other than JKS.
    `String` | `keystoreProvider()` The provider for loading the keystore, defaults to JKS.
    `T` | `keystoreProvider(String value)` The provider for loading the keystore, defaults to JKS.
    `String` | `keystoreRelativeTo()` The name of another previously named path, or of one of the standard paths provided by the system.
    `T` | `keystoreRelativeTo(String value)` The name of another previously named path, or of one of the standard paths provided by the system.
    `String` | `protocol()` The protocol to use when creating the SSLContext.
    `T` | `protocol(String value)` The protocol to use when creating the SSLContext.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SslServerIdentity

          public SslServerIdentity()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### alias

          public String alias()

      The alias of the entry to use from the keystore.

    - #### alias

          public T alias(String value)

      The alias of the entry to use from the keystore.

    - #### enabledCipherSuites

          public List<String> enabledCipherSuites()

      The cipher suites that can be enabled on the underlying SSLEngine.

    - #### enabledCipherSuites

          public T enabledCipherSuites(List<String> value)

      The cipher suites that can be enabled on the underlying SSLEngine.

    - #### enabledCipherSuite

          public T enabledCipherSuite(String value)

      The cipher suites that can be enabled on the underlying SSLEngine.

    - #### enabledCipherSuites

          public T enabledCipherSuites(String... args)

      The cipher suites that can be enabled on the underlying SSLEngine.

    - #### enabledProtocols

          public List<String> enabledProtocols()

      The protocols that can be enabled on the underlying SSLEngine.

    - #### enabledProtocols

          public T enabledProtocols(List<String> value)

      The protocols that can be enabled on the underlying SSLEngine.

    - #### enabledProtocol

          public T enabledProtocol(String value)

      The protocols that can be enabled on the underlying SSLEngine.

    - #### enabledProtocols

          public T enabledProtocols(String... args)

      The protocols that can be enabled on the underlying SSLEngine.

    - #### generateSelfSignedCertificateHost

          public String generateSelfSignedCertificateHost()

      If the keystore does not exist and this attribute is set then a self signed certificate will be generated for the specified host name. This is not intended for production use.

    - #### generateSelfSignedCertificateHost

          public T generateSelfSignedCertificateHost(String value)

      If the keystore does not exist and this attribute is set then a self signed certificate will be generated for the specified host name. This is not intended for production use.

    - #### keyPassword

          public String keyPassword()

      The password to obtain the key from the keystore.

    - #### keyPassword

          public T keyPassword(String value)

      The password to obtain the key from the keystore.

    - #### keyPasswordCredentialReference

          public Map keyPasswordCredentialReference()

      The reference to credential for the keystore key stored in CredentialStore under defined alias or clear text password.

    - #### keyPasswordCredentialReference

          public T keyPasswordCredentialReference(Map value)

      The reference to credential for the keystore key stored in CredentialStore under defined alias or clear text password.

    - #### keyPasswordCredentialReference

          public T keyPasswordCredentialReference(String key,
                                                  Object value)

      The reference to credential for the keystore key stored in CredentialStore under defined alias or clear text password.

    - #### keystorePassword

          public String keystorePassword()

      The password to open the keystore.

    - #### keystorePassword

          public T keystorePassword(String value)

      The password to open the keystore.

    - #### keystorePasswordCredentialReference

          public Map keystorePasswordCredentialReference()

      The reference to credential for the keystore password stored in CredentialStore under defined alias or clear text password.

    - #### keystorePasswordCredentialReference

          public T keystorePasswordCredentialReference(Map value)

      The reference to credential for the keystore password stored in CredentialStore under defined alias or clear text password.

    - #### keystorePasswordCredentialReference

          public T keystorePasswordCredentialReference(String key,
                                                       Object value)

      The reference to credential for the keystore password stored in CredentialStore under defined alias or clear text password.

    - #### keystorePath

          public String keystorePath()

      The path of the keystore, will be ignored if the keystore-provider is anything other than JKS.

    - #### keystorePath

          public T keystorePath(String value)

      The path of the keystore, will be ignored if the keystore-provider is anything other than JKS.

    - #### keystoreProvider

          public String keystoreProvider()

      The provider for loading the keystore, defaults to JKS.

    - #### keystoreProvider

          public T keystoreProvider(String value)

      The provider for loading the keystore, defaults to JKS.

    - #### keystoreRelativeTo

          public String keystoreRelativeTo()

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

    - #### keystoreRelativeTo

          public T keystoreRelativeTo(String value)

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

    - #### protocol

          public String protocol()

      The protocol to use when creating the SSLContext.

    - #### protocol

          public T protocol(String value)

      The protocol to use when creating the SSLContext.

Copyright © 2018 JBoss by Red Hat. All rights reserved.